Bug 734588 - Document use of ; char in Connection URLs
Summary: Document use of ; char in Connection URLs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Messaging_Programming_Reference
Version: 2.0
Hardware: All
OS: All
unspecified
low
Target Milestone: 2.2.3
: ---
Assignee: Joshua Wulf
QA Contact: Frantisek Reznicek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-30 20:09 UTC by gautric
Modified: 2015-11-16 01:13 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-11-19 04:27:41 UTC


Attachments (Terms of Use)

Description gautric 2011-08-30 20:09:21 UTC
Description of problem:

Inside "3.2.2. Connection URLs" section
there is no information about char separator for 'brokerlist' option

gsim talk about ";" char

Version-Release number of selected component (if applicable):
2.0
JMS and JCA API

How reproducible:
n/a

Steps to Reproduce:
n/a
  
Actual results:
n/a

Expected results:
more details like 

brokerlist='<transport>://<host>[:<port>](;<transport>://<host>[:<port>])?(?<param>=<value>)?(&<param>=<value>)*'

brokerlist='tcp://ip1:5672;tcp://ip2:5672;tcp://ip3:5672?ssl='true'&ssl_cert_alias='cert1''




Additional info:

Comment 1 Joshua Wulf 2012-09-25 02:22:47 UTC
Incorporated in Topic 7014

Comment 2 Joshua Wulf 2012-10-25 09:43:39 UTC
http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_Enterprise_MRG/2/html-single/Messaging_Installation_and_Configuration_Guide/index.html#sect-Failover_behavior_in_clients

Text: 

brokerlist can take a semi-colon-separated list of brokers, like so:

brokerlist='<transport>://<host>[:<port>](;<transport>://<host>[:<port>])?(?<param>=<value>)?(&<param>=<value>)*'

For example:

brokerlist='tcp://ip1:5672;tcp://ip2:5672;tcp://ip3:5672?ssl='true'&ssl_cert_alias='cert1'

Comment 3 Frantisek Reznicek 2012-10-30 07:59:16 UTC
Change incorporated and ok.

-> VERIFIED

Comment 4 Frantisek Reznicek 2012-10-30 09:00:16 UTC
Taking second look I found trouble.

generic pattern

brokerlist='<transport>://<host>[:<port>](;<transport>://<host>[:<port>])?(?<param>=<value>)?(&<param>=<value>)*'

is wrong as user may assume that broker parameters are relevant to all brokers, which is incorrect.

Each broker in the list (separated by ';') can have separate broker options like this:

amqp://guest:guest@/test?failover='roundrobin?cyclecount='2''          &brokerlist='tcp://ip1:5672?retries='5'&connectdelay='2000';tcp://ip2:5672?retries='5'&connectdelay='2000''

Please update generic pattern and add there above example to demonstrate more complex usage.

See details and examples here:
  qpid.apache.org/books/0.18/Programming-In-Apache-Qpid/html/QpidJNDI.html


-> ASSIGNED

Comment 6 Frantisek Reznicek 2012-11-06 10:41:38 UTC
I'm wondering whether to allow this change as the brokerlist generic patter is still the same == wrong:

brokerlist='<transport>://<host>[:<port>](;<transport>://<host>[:<port>])?(?<param>=<value>)?(&<param>=<value>)*'


The paragraph understands well that parameters are defined per broker 'Note that the broker option parameters are per-broker. ...' but I think it would be better if you change generic brokerlist pattern to be correct probably less readable.

I'm proposing change of brokerlist generic pattern from:

brokerlist='<transport>://<host>[:<port>](;<transport>://<host>[:<port>])?(?<param>=<value>)?(&<param>=<value>)*'

to:

brokerlist='<transport>://<host>[:<port>](?<param>=<value>)?(&<param>=<value>)*(;<transport>://<host>[:<port>])?(?<param>=<value>)?(&<param>=<value>)*'


Let me know your view on this change, I'm eventually fine with comment 5 state if you provide good reason against proposed brokerlist change.

-> ASSIGNED

Comment 8 Frantisek Reznicek 2012-11-07 08:56:54 UTC
I'm happy with the changes now. Thanks for cooperation.

-> VERIFIED

Comment 9 Cheryn Tan 2012-11-19 04:27:41 UTC
MRG Messaging 2.2.3 docs have been released as of 14 November 2012, the docs are now available on https://access.redhat.com/knowledge/docs/Red_Hat_Enterprise_MRG/


Note You need to log in before you can comment on or make changes to this bug.